Debian Bug report logs - #587313
New upstream version 0.8 available

version graph

Package: buildbot; Maintainer for buildbot is Andriy Senkovych <jolly_roger@itblog.org.ua>; Source for buildbot is src:buildbot.

Reported by: Lior Kaplan <kaplan@debian.org>

Date: Sun, 27 Jun 2010 12:21:01 UTC

Severity: wishlist

Tags: patch

Found in version buildbot/0.7.12-2

Fixed in version buildbot/0.8.3p1-1

Done: Andriy Senkovych <jolly_roger@itblog.org.ua>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sun, 27 Jun 2010 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 27 Jun 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: submit@bugs.debian.org
Subject: New upstream version 0.8 available
Date: Sun, 27 Jun 2010 15:17:33 +0300
[Message part 1 (text/plain, inline)]
Package: buildbot
Version: 0.7.12-2
Severity: wishlist

Hi,

Upstream have released a new version (0.8) on may 25th.

I would like to see in in Debian...

Thanks
Kaplan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sun, 01 Aug 2010 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <andriysenkovych@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 01 Aug 2010 00:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 587313@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <andriysenkovych@gmail.com>
To: Debian Bug Tracking System <587313@bugs.debian.org>
Subject: Re: upstream version 0.8 available
Date: Sun, 01 Aug 2010 03:03:02 +0300
[Message part 1 (text/plain, inline)]
Package: buildbot
Severity: normal


I've spent some time on packaging the new version of buildbot (0.8.1) for 
Debian. There are still some documentation-related issues shown by lintian but
in general package is working. 

I also made a new init script for better buildbot configuration management. I
used apache-like way for management and I made init script to show operation
results for each instance.

I have attached the sources to this letter.

-- 
WBR, Andriy Senkovych
[buildbot_0.8.1-1.dsc (text/plain, attachment)]
[buildbot_0.8.1-1.diff.gz (application/x-gzip, attachment)]
[buildbot_0.8.1-1_amd64.changes (text/plain, attachment)]

Added tag(s) patch. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Mon, 07 Feb 2011 19:57:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Tue, 01 Mar 2011 01:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 01 Mar 2011 01:27:02 GMT) Full text and rfc822 format available.

Message #17 received at 587313@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: 587313@bugs.debian.org
Subject: What are the plans for newer buildbot?
Date: Mon, 28 Feb 2011 20:25:03 -0500 (EST)
Hi.  I'm just wondering what plans are for buildbot 0.8 packaging?  It
would be really nice to get better git support. I can point to specific upstream patches to be backported, or if there's going to be movement on this bug now that squeeze has released, perhaps that's unnecessary.

P.S. Thanks for all the great work on the existing packages.
They make my life much easier.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Tue, 01 Mar 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz <bertagaz@ptitcanardnoir.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 01 Mar 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 587313@bugs.debian.org (full text, mbox):

From: bertagaz <bertagaz@ptitcanardnoir.org>
To: Debian Bug Tracking System <587313@bugs.debian.org>
Subject: buildbot: missing build dependencies in 0.8.1
Date: Tue, 1 Mar 2011 19:30:37 +0100
Hi,

I am testing the 0.8.1 package that is available on mentors.debian.org [1]
I suppose its sources come from those provided in this bug report.
I did build it using pbuilder, but found a FTBFS, the control file need to
be updated and "texinfo" added in the build-deps, other than that the build
failed when compiling the info files, as makeinfo isn't available.

[1] http://mentors.debian.net/debian/pool/main/b/buildbot/




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Tue, 01 Mar 2011 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 01 Mar 2011 23:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 587313@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: 587313@bugs.debian.org
Subject: typo in 0.8.1
Date: Tue, 1 Mar 2011 23:32:27 +0100
Hi,

While testing the 0.8.1 package, I also noticed a typo in
/etc/default/buildbot-master, the ENABLED variable should be set to
"false".

bert.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Mon, 07 Mar 2011 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 07 Mar 2011 20:30:05 GMT) Full text and rfc822 format available.

Message #32 received at 587313@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: 587313@bugs.debian.org, Piotr Ożarowski <piotr@debian.org>
Subject: New upstream version 0.8 available
Date: Mon, 7 Mar 2011 22:26:05 +0200
Hello, everyone

I updated the buildbot packages currently available on
mentors.debian.org ([1] and [2]) to version 0.8.3p1 for master and
0.8.3 for slave. The packages are currently being reviewed by Piotr
Ożarowski <piotr@debian.org>.

    [1]: http://mentors.debian.net/debian/pool/main/b/buildbot/
    [2]: http://mentors.debian.net/debian/pool/main/b/buildbot-slave/

-- 
WBR, Andriy Senkovych




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sat, 26 Mar 2011 14:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erinn Clark <erinn@torproject.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 26 Mar 2011 14:57:13 GMT) Full text and rfc822 format available.

Message #37 received at 587313@bugs.debian.org (full text, mbox):

From: Erinn Clark <erinn@torproject.org>
To: 587313@bugs.debian.org
Cc: Andriy Senkovych <jolly_roger@itblog.org.ua>, Piotr Ożarowski <piotr@debian.org>
Subject: another request for upgrade
Date: Sat, 26 Mar 2011 15:40:23 +0100
[Message part 1 (text/plain, inline)]
Hallo Matthias,

We are the Tor project are going to use buildbot for all of our builds and
would really appreciate having the new version uploaded. Is there any ETA for
when you might take care of it? If it's not soon, would it be possible for
Andriy to take over maintenance? (Ccing Piotr since he seems to be Andriy's
sponsor.)

Thanks!
Erinn
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sat, 26 Mar 2011 22:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 26 Mar 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #42 received at 587313@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Erinn Clark <erinn@torproject.org>
Cc: 587313@bugs.debian.org, Piotr Ożarowski <piotr@debian.org>
Subject: Re: another request for upgrade
Date: Sun, 27 Mar 2011 00:07:54 +0200
Hello, Erinn

> We are the Tor project are going to use buildbot for all of our builds and
> would really appreciate having the new version uploaded. Is there any ETA for
> when you might take care of it? If it's not soon, would it be possible for
> Andriy to take over maintenance? (Ccing Piotr since he seems to be Andriy's
> sponsor.)

Well, it's just that I asked Piotr to review since Matthias was
unavailable. In the end I've got the packages reviewed by Matthias
himself on 18th of March and send an updated version of the packages
on that day too. They are available from the mentors page[1,2]. The
only thing needed to add is upstart init scripts. I haven't used this
system at all so need a bit more time to write them. But from the
Matthias' words this is not critical for a first package release.

    [1]: http://mentors.debian.net/debian/pool/main/b/buildbot
    [2]: http://mentors.debian.net/debian/pool/main/b/buildbot-slave

-- 
WBR, Andriy Senkovych




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sun, 27 Mar 2011 11:29:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 27 Mar 2011 11:29:14 GMT) Full text and rfc822 format available.

Message #47 received at 587313@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>
Cc: Erinn Clark <erinn@torproject.org>, 587313@bugs.debian.org, Piotr Ozarowski <piotr@debian.org>
Subject: Re: another request for upgrade
Date: Sun, 27 Mar 2011 13:19:53 +0200
On Sun, 27 Mar 2011, Andriy Senkovych wrote:

> Well, it's just that I asked Piotr to review since Matthias was
> unavailable. In the end I've got the packages reviewed by Matthias
> himself on 18th of March and send an updated version of the packages
> on that day too. They are available from the mentors page[1,2]. The
> only thing needed to add is upstart init scripts. I haven't used this
> system at all so need a bit more time to write them. But from the
> Matthias' words this is not critical for a first package release.
> 
>     [1]: http://mentors.debian.net/debian/pool/main/b/buildbot
>     [2]: http://mentors.debian.net/debian/pool/main/b/buildbot-slave

These FTBFS without python-twisted-mail and python-twisted-web installed
at build time.

-- 
                           |  .''`.       ** Debian **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Sun, 27 Mar 2011 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 27 Mar 2011 23:39:04 GMT) Full text and rfc822 format available.

Message #52 received at 587313@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Peter Palfrader <weasel@debian.org>
Cc: Erinn Clark <erinn@torproject.org>, 587313@bugs.debian.org, Piotr Ozarowski <piotr@debian.org>, debian-python@lists.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: another request for upgrade
Date: Mon, 28 Mar 2011 02:37:54 +0300
Hello, Peter!

> These FTBFS without python-twisted-mail and python-twisted-web installed
> at build time.

Thank you for the report. It seems I uploaded a bit outdated packages.
I had fixed this a while ago. Reuploaded again.

Matthias, I'd like to ask you for another package review. Packages'
location hadn't changed[1,2].

Concerning upstart scripts. The original init scripts use bash arrays
to run multiple separated buildbot instances but upstart uses /bin/sh.
I believe it's better to work with upstream on providing new startup
mechanisms which do not use bashisms.

>>     [1]: http://mentors.debian.net/debian/pool/main/b/buildbot
>>     [2]: http://mentors.debian.net/debian/pool/main/b/buildbot-slave

-- 
WBR, Andriy Senkovych




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#587313; Package buildbot. (Mon, 18 Apr 2011 10:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 18 Apr 2011 10:09:19 GMT) Full text and rfc822 format available.

Message #57 received at 587313@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Peter Palfrader <weasel@debian.org>
Cc: 587313@bugs.debian.org, debian-python@lists.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: another request for upgrade
Date: Mon, 18 Apr 2011 13:05:17 +0300
Hello, Matthias.

20 days have been passed since my previous mail. Last time I
successfully contacted you on 5th of April in IRC. You told then that
you would not have a time for the package before 8-9th of April.
However 14 days already have been passed since that time. I tried to
contact you every 2-3 days on IRC with no reply. In case you didn't
get those I'm writing now. Hope I'll get package review soon. I kindly
ask you to hurry up a bit because if not we'll be late on this package
delivery forever (0.8.4 is coming soon).

-- 
WBR, Andriy Senkovych




Reply sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
You have taken responsibility. (Sun, 01 May 2011 19:51:30 GMT) Full text and rfc822 format available.

Notification sent to Lior Kaplan <kaplan@debian.org>:
Bug acknowledged by developer. (Sun, 01 May 2011 19:51:30 GMT) Full text and rfc822 format available.

Message #62 received at 587313-close@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: 587313-close@bugs.debian.org
Subject: Bug#587313: fixed in buildbot 0.8.3p1-1
Date: Sun, 01 May 2011 19:47:10 +0000
Source: buildbot
Source-Version: 0.8.3p1-1

We believe that the bug you reported is fixed in the latest version of
buildbot, which is due to be installed in the Debian FTP archive:

buildbot_0.8.3p1-1.debian.tar.gz
  to main/b/buildbot/buildbot_0.8.3p1-1.debian.tar.gz
buildbot_0.8.3p1-1.dsc
  to main/b/buildbot/buildbot_0.8.3p1-1.dsc
buildbot_0.8.3p1-1_all.deb
  to main/b/buildbot/buildbot_0.8.3p1-1_all.deb
buildbot_0.8.3p1.orig.tar.gz
  to main/b/buildbot/buildbot_0.8.3p1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andriy Senkovych <jolly_roger@itblog.org.ua> (supplier of updated buildbot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Mar 2011 23:29:44 +0200
Source: buildbot
Binary: buildbot
Architecture: source all
Version: 0.8.3p1-1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Andriy Senkovych <jolly_roger@itblog.org.ua>
Description: 
 buildbot   - system to automate the compile/test cycle
Closes: 587313
Changes: 
 buildbot (0.8.3p1-1) unstable; urgency=low
 .
   * New upstream version (Closes: #587313).
   * Build using dh_python2 instead of dh_pycentral.
   * Remove dependency on python-central.
   * Add DEP-3 compliant headers to patches.
   * Make debian/control DEP-5 compliant, add all copyright notices.
   * Add project homepage in debian/control.
   * Switch to dpkg-source 3.0 (quilt) format.
   * Remove unnecessary Build-Conflicts.
   * Upgrade compatibility level to 7.
   * Upgrade Standards-Version to 3.9.1.
   * Add tests to build process (Build-Depends: python-mock).
   * Add versioned Depends and Build-Depends: python-jinja2 (>=2.1).
   * debian/rules: use override rules instead of redefining whole build
     process.
   * Purge buildbot user and its home directory only when all buildbot packages
     have been purged.
   * debian/watch: use googlecode for source download.
   * fix-init-scripts.patch: comment out example configuration in
     /etc/default/buildmaster.
   * fix-interpreters.patch: move sed scripting from debian/rules to separate
     patch which sets the correct interpreters for contrib scripts.
   * fix-test-root.patch: remove superuser checks to be able to test under
     fakeroot.
   * fix-doc-version.patch: use "0.8.3p1" as version string in all documents.
   * fix-makeinfo-args.patch: move makeinfo scripting from debian/rules to
     separate patch which sets makeinfo arguments as for 0.7.12 package.
   * fix-info-dir.patch: backport doc patches from 0.7.12 package.
   * gitpoller-multibyte.patch: fix multibyte comments processing in gitpoller.
Checksums-Sha1: 
 6aa79ee0f20bd267b188dbaed53f04898a393a58 1226 buildbot_0.8.3p1-1.dsc
 7b0c2d3a7c2acc66c3c95fc7a92acb2bc2627409 4068355 buildbot_0.8.3p1.orig.tar.gz
 98293198815ab144667edf3a61475fcbd4a70df8 8995 buildbot_0.8.3p1-1.debian.tar.gz
 0b1a52f0a649c2950603223e0f2b501e256083b1 1069412 buildbot_0.8.3p1-1_all.deb
Checksums-Sha256: 
 6df2b902f1db2c09dc9aff7c7aebf709233553cb4d245319d87bce2ab5531b14 1226 buildbot_0.8.3p1-1.dsc
 0a49d35a75524a54dbbb875730fdf7abd8b96cae160af0457b4f5239b1fefa37 4068355 buildbot_0.8.3p1.orig.tar.gz
 8f96d7c1b38f882c330cb981ad09f37f085b47c20b8545d50abf5b75946a02ab 8995 buildbot_0.8.3p1-1.debian.tar.gz
 5c58d70f275142bde0055574e00708885e3c4ff39f08e168eff2a04ac9f32c23 1069412 buildbot_0.8.3p1-1_all.deb
Files: 
 f113fca655544465d72d9072c9bf7c5e 1226 devel optional buildbot_0.8.3p1-1.dsc
 919ab66090bcadd12b4db3198511e94b 4068355 devel optional buildbot_0.8.3p1.orig.tar.gz
 077731636061da0ce581c3616bb1de76 8995 devel optional buildbot_0.8.3p1-1.debian.tar.gz
 7c776bfdea84d10cf5d708b53f4ecbda 1069412 devel optional buildbot_0.8.3p1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk29ttUACgkQStlRaw+TLJw/6wCgqpBfxYWnKHWBX1kuD9cC9VF5
CpMAn2h3XBCGtuaD/iqIbxd3ifHLFR5i
=LlrK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Jun 2011 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:30:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.